﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=8.9
@EndOfDesignText@
#Event: Result(Message As String)

Sub Class_Globals
	Private mCallBack As Object
	Private mEventName As String
	Private Con As Socket
	Private NameAddr As String
	Private Addr As String
	Private Pt As Int
	
	Public Error As String = ""
End Sub

'Initializes the object. You can add parameters to this method if needed.
Public Sub Initialize(CallBack As Object,EventName As String)
	mCallBack=CallBack
	mEventName=EventName
	Con.Initialize("Con")
End Sub

Public Sub Start(Name As String, Address As String)
	NameAddr=Name

	Log($"Try connect: ${Address}"$)
	If Address.LastIndexOf(":")<6 Then
		If Address.ToLowerCase.StartsWith("https") Then Pt=443 Else Pt=80
		Addr=Address
	Else
		Pt=Address.SubString(Address.LastIndexOf(":")+1)
		Addr=Address.SubString2(0,Address.LastIndexOf(":"))
	End If
	
	Addr=Addr.ToLowerCase.Replace("https://","").Replace("http://","")
	Try
		Con.Connect(Addr,Pt,3000)
	Catch
		Error=LastException.Message
	End Try
End Sub

Private Sub Con_Connected (Successful As Boolean)
	If SubExists(mCallBack,mEventName & "_Result") Then
		If Successful Then
			CallSub2(mCallBack,mEventName & "_Result",$"(${NameAddr}) ${Addr}:${Pt} (OK)"$)
		Else
			CallSub2(mCallBack,mEventName & "_Result",$"(${NameAddr}) ${Addr}:${Pt} (DOWN)"$)
		End If
	Else
		Log(Successful)
	End If
End Sub
